package org.springblade.modules.member.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 账号类型枚举
 */
@Getter
@AllArgsConstructor
public enum AccountTypeEnum {

	/**
	 * 用户名
	 */
	USERNAME("username", "账号"),
	/**
	 * 手机
	 */
	PHONE("phone", "手机"),
	/**
	 * QQ
	 */
	QQ("qq", "QQ"),
	/**
	 * 微信网页
	 */
	WX_WEBSITE("wx_website", "微信网页"),
	/**
	 * 微信小程序
	 */
	WX_MINI_APP("wx_mini_app", "微信小程序"),

	;

	private final String code;
	public final String desc;

}

